For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SDKsHelp CenterLog inSign up
    • Overview
  • Getting Started
    • API Mechanics
    • Quickstart
  • Guides
    • Communications API
    • Troubleshooting
    • Events
    • Changelog
  • Comms API Reference
      • Summary
      • POSTSend Emails
      • GETList Emails
      • GETFetch an Email
      • DELDelete
      • GETFetch an Email Operation
      • GETList Email Operations
LogoLogo
SDKsHelp CenterLog inSign up
Comms API ReferenceEmails

Fetch an Email Operation

GET
https://comms.twilio.com/v1/Emails/Operations/:operationId
GET
/v1/Emails/Operations/:operationId
1import { TwilioClient } from "twilio-comms";
2
3async function main() {
4 const client = new TwilioClient({
5 accountId: "YOUR_ACCOUNTID_HERE",
6 authToken: "YOUR_AUTHTOKEN_HERE",
7 });
8 await client.emails.fetchOperation("operationId");
9}
10main();
1{
2 "id": "comms_operation_01h9krwprkeee8fzqspvwy6nq8",
3 "status": "COMPLETED",
4 "stats": {
5 "total": 3,
6 "recipients": 3,
7 "attempts": 3,
8 "queued": 0,
9 "sent": 3,
10 "scheduled": 0,
11 "delivered": 3,
12 "opened": 2,
13 "undelivered": 0,
14 "failed": 0,
15 "canceled": 0
16 },
17 "createdAt": "2024-04-10T09:15:00Z",
18 "updatedAt": "2024-04-10T09:45:00Z"
19}

This operation fetches a single Email Operation using its ID.

Data retention: Records are available for 7 days after creation. Requests for data older than 7 days may return incomplete results.

Was this page helpful?
Previous

List Email Operations

Next
Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <account_id:auth_token>.

OR
AuthorizationBasic

Basic authentication of the form Basic <api_key:api_key_secret>.

Path parameters

operationIdstringRequired

Response

OK
idstringformat: "^comms_operation_[0-7][a-hjkmnpqrstv-z0-9]{25,34}"
The Operation ID is an identifier that can be used to correlate all of the resources created in a request. Issue a GET request to the resource list location, using the Operation ID as a query parameter to retrieve the resources that correlate with the Operation.
statusenum
The status of an Operation.
Allowed values:
statsobject

Represents the stats of a sending operation of one or many Emails.

  • total is the total number of Email resources created in the Operation.

    • To get the status for each individual Email, fetch the Email resource: GET /Email/{emailId}.

    • For Emails with multiple recipients, use Receipts e.g. GET /Emails/{emailId}/Receipts.

  • recipients is the total number of recipients targeted in an Operation.

  • attempts is the total number of sending attempts made by Twilio.

  • scheduled is the number of Emails that are scheduled to be sent by Twilio in the future.

  • queued is the number of Emails that are queued in Twilio for sending.

  • sent is the number of Emails that have been sent by Twilio.

  • delivered is the number of Emails that have been successfully delivered to recipients.

  • opened is the number of Emails that have been opened by unique recipients.

  • undelivered is the number of Emails that were successfully sent by Twilio but have not been delivered to the recipient.

  • failed is the number of Emails that failed during processing by Twilio. Get Errors with GET /Emails/Operations/{operationId}/Errors fore more detail.

  • canceled is the number of Emails that were canceled via API request.

createdAtstringformat: "date-time"
updatedAtstringformat: "date-time"

Errors

400
Bad Request Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error